# MetaElement< algebra::MonoidBase< Self >, T > Struct Template Reference
[Monoid]

Defines services of element of every monoid. More...

Inheritance diagram for MetaElement< algebra::MonoidBase< Self >, T >:

[legend]

List of all members.

## Protected Member Functions

| MetaElement ()
| Protected since it is an abstract class.
| MetaElement (const MetaElement &other)
| Protected since it is an abstract class.

## Detailed Description

### template<class Self, typename T>
struct vcsn::MetaElement< algebra::MonoidBase< Self >, T >

Defines services of element of every monoid.

Definition at line 102 of file monoid_base.hh.